HostingDelivery
Update Delivery account
PUT
/api/delivery/accounts/{id}Updates Delivery account settings, plan, assigned domains, notifications, suppression behavior and trusted networks.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
id*integer
Format
int32Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
description?string
Delivery account description.
bounce_notification?string
Email address that receives bounce notifications.
bounce_notification_to_sender?boolean
Send bounce notifications back to the original sender.
domain_codes?string[]
Delivery domain codes assigned to the account.
payment_method?string
Payment method for plan changes.
stripe= Stripe payment method.lcwsoftpaypalbillingagreements= PayPal billing agreement payment method.paypal= PayPal payment method.
Values
stripe | lcwsoftpaypalbillingagreements | paypalvolume?integer
Extra message package quantity for quantifiable products.
Format
int32ignore_suppression_list?boolean
Ignore Delivery suppression list checks for this account.
allow_nets?string[]
Allowed IP addresses or networks for SMTP/API access.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/delivery/accounts/0" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{}'{ "resources": [ { "created_at": "string", "updated_at": "string", "username": "string", "description": "string", "id": "string", "status": 0, "status_detail": "ok", "type": "transactional", "plan": "free", "start_date": "string", "num_messages": "string", "password": "string", "config_hostname": "string", "customer_code": "string", "customer_fullname": "string", "domains_count": "string", "allow_nets": "string", "domains": "string", "bounce_notification": "string", "bounce_notification_to_sender": "string", "next_renewal_date": "string", "last_renewal_date": "string", "plan_expiration_date": "string", "remaining_messages": "string", "messages_sent": "string", "plan_messages_limit": "string", "plan_messages_used": "string", "remaining_extra_messages_bought": "string", "extra_messages_total": "string", "remaining_messages_error": "string", "extra_messages_expires_at": "string", "delivery_analytics": "string", "has_pending_order": "string", "delete_on": "string", "plan_num_messages": "string", "reset_to_plan_num_messages": "string", "manager_fullname": "string", "manager_code": "string", "ignore_suppression_list": "string" } ], "pagination": {}}